Bug 810745 - [abrt] calibre-0.8.33-2.fc16: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] calibre-0.8.33-2.fc16: Process /usr/bin/python was killed by signal 11...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:f0b3908b89e68e31c2bbfef0aa8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 16:53 EDT by Tinashe
Modified: 2013-02-13 21:26 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:26:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (53.30 KB, text/plain)
2012-04-08 16:54 EDT, Tinashe
no flags Details
File: dso_list (21.23 KB, text/plain)
2012-04-08 16:54 EDT, Tinashe
no flags Details
File: backtrace (246.81 KB, text/plain)
2012-04-08 16:54 EDT, Tinashe
no flags Details
File: build_ids (9.05 KB, text/plain)
2012-04-08 16:54 EDT, Tinashe
no flags Details
File: event_log (20.16 KB, text/plain)
2012-04-08 16:54 EDT, Tinashe
no flags Details

  None (edit)
Description Tinashe 2012-04-08 16:53:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre
executable:     /usr/bin/python
kernel:         3.3.0-8.fc16.i686
pid:            5200
pwd:            /home/tinashe
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Sun 08 Apr 2012 20:34:52 IST
uid:            1000
username:       tinashe
xsession_errors: 

backtrace:      Text file, 252730 bytes
build_ids:      Text file, 9266 bytes
dso_list:       Text file, 21740 bytes
event_log:      Text file, 20639 bytes
maps:           Text file, 54578 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=MEGAMIND
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e4509968b409ed3d231de8df00000030-1333867829.672518-266341596
:GNOME_KEYRING_CONTROL=/tmp/keyring-PgmWXz
:IMSETTINGS_MODULE=none
:USER=tinashe
:USERNAME=tinashe
:MAIL=/var/spool/mail/tinashe
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/tinashe/.local/bin:/home/tinashe/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/tinashe
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1290
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/tinashe
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=tinashe
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NiM3zUegpf,guid=66dcfbc437ffe9497964ef7f00000078
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/tinashe
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-tinashe-ctKbpk/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1297,unix/unix:/tmp/.ICE-unix/1297
:SSH_AUTH_SOCK=/tmp/keyring-PgmWXz/ssh
:GPG_AGENT_INFO=/tmp/keyring-PgmWXz/gpg:0:1
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/calibre-gui.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5200

smolt_data:
:
:
:General
:=================================
:UUID: 4b665a89-ed97-46e5-bf09-0a7e5ea7d06c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: i686
:BogoMIPS: 6133.35
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Xeon(TM) CPU 3.06GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 3066
:System Memory: 3665
:System Swap: 4031
:Vendor: IBM
:System: -[6221PGG]- 1.0
:Form factor: Tower
:Kernel: 3.3.0-8.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:5216:0:0) pci, None, PCI/PCI, 82870P2 P64H2 Hub PCI Bridge
:(32902:9552:4116:9552) pci, agpgart-intel, HOST/PCI, E7505 Memory Controller Hub
:(32902:9553:4116:9553) pci, None, MISC, E7505/E7205 Series RAS Controller
:(32902:9554:0:0) pci, None, PCI/PCI, E7505/E7205 PCI-to-AGP Bridge
:(32902:9411:4116:634) pci, i801_smbus, SERIAL, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller
:(32902:9419:4116:634) pci, ata_piix, STORAGE, 82801DB (ICH4) IDE Controller
:(32902:9408:0:0) pci, None, PCI/ISA, 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge
:(32902:9413:4116:634) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller
:(32902:5217:4116:5217) pci, None, BASE, 82870P2 P64H2 I/OxAPIC
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4096:48:4116:4096) pci, mptspi, SCSI, 53c1030 PCI-X Fusion-MPT Dual Ultra320 SCSI
:(32902:9410:4116:634) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1
:(5348:5799:4116:623) pci, tg3, ETHERNET, eServer xSeries server mainboard
:(32902:9555:0:0) pci, None, PCI/PCI, E7505 Hub Interface B PCI-to-PCI Bridge
:(32902:9556:4116:9556) pci, None, MISC, E7505 Hub Interface B PCI-to-PCI Bridge RAS Controller
:(32902:9412:4116:634) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2
:(4096:48:4116:4096) pci, mptspi, SCSI, 53c1030 PCI-X Fusion-MPT Dual Ultra320 SCSI
:(4318:846:4318:474) pci, nouveau, VIDEO, NV36GL [Quadro FX 1100]
:(32902:9421:4116:634) pci, ehci_hcd, USB, 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller
:(6164:12384:5170:30481) pci, rt2800pci, NETWORK, RT3060 Wireless 802.11n 1T/1R
:(32902:5217:4116:5217) pci, None, BASE, 82870P2 P64H2 I/OxAPIC
:(32902:5216:0:0) pci, None, PCI/PCI, 82870P2 P64H2 Hub PCI Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_megamind-lv_root / ext4 4096 4096 13092026 10990334 10859302 3276800 3052172 3052172
:/dev/sda2 /boot ext4 1024 1024 508745 412039 386439 128016 127782 127782
:/dev/mapper/vg_megamind-lv_home /home ext4 4096 4096 24758690 23319546 22079687 6201344 6180158 6180158
:

var_log_messages:
:Apr  8 19:32:36 MEGAMIND kernel: [42246.802345] python2[1885]: segfault at 4 ip 0225429a sp bf97b03c error 4 in libQtCore.so.4.8.0[20c0000+2d8000]
:Apr  8 19:32:39 MEGAMIND abrt[4796]: Saved core dump of pid 1885 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-04-08-19:32:36-1885 (264581120 bytes)
:Apr  8 20:32:34 MEGAMIND kernel: [45844.481799] python2[4826]: segfault at 4 ip 0339b0f1 sp bfb091b0 error 4 in libQtCore.so.4.8.0[3335000+2d8000]
:Apr  8 20:32:37 MEGAMIND abrt[5172]: Saved core dump of pid 4826 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-04-08-20:32:34-4826 (266616832 bytes)
:Apr  8 20:34:52 MEGAMIND kernel: [45983.204740] python2[5200]: segfault at 4 ip 02cdf0f1 sp bf817360 error 4 in libQtCore.so.4.8.0[2c79000+2d8000]
:Apr  8 20:34:55 MEGAMIND abrt[5254]: Saved core dump of pid 5200 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-04-08-20:34:52-5200 (227196928 bytes)
Comment 1 Tinashe 2012-04-08 16:54:05 EDT
Created attachment 576071 [details]
File: maps
Comment 2 Tinashe 2012-04-08 16:54:08 EDT
Created attachment 576072 [details]
File: dso_list
Comment 3 Tinashe 2012-04-08 16:54:10 EDT
Created attachment 576073 [details]
File: backtrace
Comment 4 Tinashe 2012-04-08 16:54:12 EDT
Created attachment 576074 [details]
File: build_ids
Comment 5 Tinashe 2012-04-08 16:54:14 EDT
Created attachment 576075 [details]
File: event_log
Comment 6 Kevin Fenzi 2012-04-08 17:02:37 EDT
This looks like a crash in Qt. 

Moving over there for comment.
Comment 7 Kevin Kofler 2012-04-08 17:47:16 EDT
So, this code is trying to lock an invalid QMutex: The d-pointer (the pointer to the actual data of the implicitly shared object) is NULL (0). Of course the question is why the pointer is NULL in the first place, a QMutex is not supposed to have a null (NULL d-pointer) state (unlike some other implicitly-shared classes like QString). It's likely that the QMutex object has already been destroyed when the program attempts using it.

This might be a bug in PyQt4.
Comment 8 Tinashe 2012-04-08 20:30:19 EDT
thanks guys for giving this your attention. Calibre crushed on me while I was downloading meta-data for my epub ebook and several attempts to open it after that failed so I had to restart the system to be able to open it again.
Comment 9 Fedora End Of Life 2013-01-16 19:33:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2013-02-13 21:26:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.